
Figure - Bug #112028
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110886 (New): AF-V1.0功能测试-手势-控制中心

【AF】【EVT】【控制中心】控制中心中长按Wi-Fi快捷开关图标，页面没有跳转至设置中的WLAN设置页面
2022-09-19 19:55 - CD Test赵飞

Status: CLOSED Start date: 2022-09-19

Priority: Normal Due date: 2022-09-26

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220924.alpha_0019

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

【前提条件】

1、DUT已开机

【测试步骤】

1、向下滑动屏幕进入控制中心

2、长按“互联网”快捷图标

【预期结果】

2、页面正常跳转至设置中的WLAN设置页面

【实际结果】

2、控制中心关闭，页面闪现后停留在桌面

【复现率】

5/5

【Log】

录屏见附件

History

#1 - 2022-09-20 13:28 - CD FW-王伟

- Assignee changed from CD FW-鲁凯峰 to CD AF-陈羽杰

crash 堆栈如下：

09-10 17:21:24.232  2779  2779 E AndroidRuntime: FATAL EXCEPTION: main

09-10 17:21:24.232  2779  2779 E AndroidRuntime: Process: com.android.settings, PID: 2779

09-10 17:21:24.232  2779  2779 E AndroidRuntime: java.lang.ClassCastException: com.android.settings.Settings$WifiSettingsActivity cannot be cast to

com.android.settings.homepage.SettingsHomepageActivity

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at com.android.settings.wifi.WifiSettings.onViewCreated(WifiSettings.java:229)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.Fragment.performViewCreated(Fragment.java:2977)
09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.FragmentStateManager.createView(FragmentStateManager.java:522)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:258)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.FragmentStore.moveToExpectedState(FragmentStore.java:112)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.moveToState(FragmentManager.java:1667)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.dispatchStateChange(FragmentManager.java:3234)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.dispatchActivityCreated(FragmentManager.java:3178)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.FragmentController.dispatchActivityCreated(FragmentController.java:251)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at androidx.fragment.app.FragmentActivity.onStart(FragmentActivity.java:473)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.app.Instrumentation.callActivityOnStart(Instrumentation.java:1456)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.app.Activity.performStart(Activity.java:8095)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.app.ActivityThread.handleStartActivity(ActivityThread.java:3661)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.performLifecycleSequence(TransactionExecutor.java:221)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.cycleToPath(TransactionExecutor.java:201)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.executeLifecycleState(TransactionExecutor.java:173)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:97)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

09-10 17:21:24.232  2779  2779 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#2 - 2022-09-20 15:04 - CD Test赵飞

- Category set to CD-FW

#3 - 2022-09-21 16:16 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#4 - 2022-09-21 16:18 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 80

- Resolution changed from -- to FIXED

■ Current conclusion

已定位到问题

■ My analysis

Settings 未对外部点击作兼容，导致崩溃

■Next Action

本地修复验证

#5 - 2022-09-21 16:19 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to CD Test赵飞

- % Done changed from 80 to 100

- Degrated changed from -- to No
- Root cause set to 编码问题

■ Current conclusion

问题已经通过代码修复

■ My analysis

Settings未对外部点击作兼容导致崩溃

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/150404

#6 - 2022-09-24 14:48 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220924.alpha_0019

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220924.alpha_0019

验证结果：PASS

#7 - 2022-09-24 14:48 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

screenrecord.mp4 6.62 MB 2022-09-19 CD Test赵飞

logcat(1).txt 1.95 MB 2022-09-19 CD Test赵飞
